Page MenuHomePhabricator

1.36.0-wmf.6 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.36.0-wmf.6
Release Date
Aug 24 2020, 12:00 AM
Backup Conductor
jeena

2020 week 35 1.36-wmf.6 Changes wmf/1.36.0-wmf.6

This MediaWiki Train Deployment is scheduled for the week of Monday, August 24th:

Monday August 24thTuesday, August 25thWednesday, August 26thThursday, August 27thFriday
Backports only.Branch wmf.6 and deploy to Group 0 Wikis.Deploy wmf.6 to Group 1 Wikis.Deploy wmf.6 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.6 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.5
Next: 1.36.0-wmf.7

Event Timeline

mmodell created this task.Jul 14 2020, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 14 2020, 8:19 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: jeena.

Change 622250 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.6] Branch commit for wmf/1.36.0-wmf.6

https://gerrit.wikimedia.org/r/622250

Change 622250 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.6] Branch commit for wmf/1.36.0-wmf.6

https://gerrit.wikimedia.org/r/622250

Mentioned in SAL (#wikimedia-operations) [2020-08-25T19:15:20Z] <marxarelli> 1.36.0-wmf.6 promoted to group0 (T257974). no new errors

Mentioned in SAL (#wikimedia-operations) [2020-08-26T19:33:11Z] <marxarelli> 1.36.0-wmf.6 promoted to group1 (T257974). logs show no new errors

Mentioned in SAL (#wikimedia-operations) [2020-08-27T19:57:20Z] <marxarelli> 1.36.0-wmf.6 promoted to all wikis (T257974). new errors appear to be related to T261345 but are known since 1.36.0-wmf.5

dduvall closed this task as Resolved.Aug 27 2020, 8:52 PM